# Uses of Interface
org.eclipse.emf.cdo.expressions.MemberAccess

Packages that use MemberAccess
Package
Description
org.eclipse.emf.cdo.expressions
The generated EMF API of the CDO expressions model.
org.eclipse.emf.cdo.expressions.impl
The generated EMF implementation of the CDO expressions model.
org.eclipse.emf.cdo.expressions.util
The generated EMF utilities of the CDO expressions model.

## Uses of MemberAccess in org.eclipse.emf.cdo.expressions

Methods in org.eclipse.emf.cdo.expressions that return MemberAccess
Modifier and Type
Method
Description
`MemberAccess`
ExpressionsFactory.`createMemberAccess()`
Returns a new object of class 'Member Access'.

## Uses of MemberAccess in org.eclipse.emf.cdo.expressions.impl

Classes in org.eclipse.emf.cdo.expressions.impl that implement MemberAccess
Modifier and Type
Class
Description
`class`
`MemberAccessImpl`
An implementation of the model object 'Member Access'.
Methods in org.eclipse.emf.cdo.expressions.impl that return MemberAccess
Modifier and Type
Method
Description
`MemberAccess`
ExpressionsFactoryImpl.`createMemberAccess()`

## Uses of MemberAccess in org.eclipse.emf.cdo.expressions.util

Methods in org.eclipse.emf.cdo.expressions.util with parameters of type MemberAccess
Modifier and Type
Method
Description
`T`
ExpressionsSwitch.`caseMemberAccess(MemberAccess object)`
Returns the result of interpreting the object as an instance of 'Member Access'.